Bug 357699 - Disk Quota widget does nothing and is missing icon etc.
Summary: Disk Quota widget does nothing and is missing icon etc.
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Unclassified
Component: General (show other bugs)
Version: 5.5.3
Platform: Kubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL: https://www.youtube.com/watch?v=HciTJ...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-08 14:39 UTC by soee
Modified: 2016-06-03 16:00 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soee 2016-01-08 14:39:59 UTC
Disk Quota widget shows no content and has not icon in widgets explorer or in systray settings. Please see attached video for details.

Reproducible: Always
Comment 1 bill p. (aka google01103) 2016-01-22 12:45:46 UTC
when hovering the widget do you get any messages like "please install quota? if so then the quota package is not installed. Once installed I get the  message "no quota restrictions found" as they have not be set.
Comment 2 Dominik Haumann 2016-01-25 14:16:28 UTC
Might that be a icon caching issue? Usually this should work (albeit the icon is still too large due to wrong margins).
Comment 3 Dominik Haumann 2016-02-15 21:08:17 UTC
Pending review request that addresses the empty space when no quota restrictions are found:
https://git.reviewboard.kde.org/r/127083/

Still, the icon issue is still unsolved.
Comment 4 Dominik Haumann 2016-02-15 21:20:16 UTC
Git commit 71eb4801d1f2771915ae49b0423eef1f6aecf6e1 by Dominik Haumann.
Committed on 15/02/2016 at 21:20.
Pushed by dhaumann into branch 'master'.

Disk Quota: display "No quota restrictions found." instead of an empty label
CHANGELOG: Disk Quota Applet: display "No quota restrictions found." instead of an empty label

M  +2    -2    applets/diskquota/package/contents/ui/main.qml

http://commits.kde.org/kdeplasma-addons/71eb4801d1f2771915ae49b0423eef1f6aecf6e1
Comment 5 Dominik Haumann 2016-06-03 16:00:32 UTC
If there is no quota, as said, the disk quota applet now tells you that no quota restrictions are found.

With respect to the missing icon: Let's track this in bug #363436. I will close this report therefore, since one part is fixed.